Summary:	Unix Amiga Emulator
Summary(pl.UTF-8):	Uniksowy Emulator Amigi
Name:		uae
Version:	0.8.29
Release:	2
License:	GPL
Group:		Applications/Emulators
Source0:	http://www.amigaemulator.org/files/sources/develop/%{name}-%{version}.tar.bz2
# Source0-md5:	54abbabb5e8580b679c52de019141d61
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-allow_spaces_in_zip_filenames.patch
Patch2:		%{name}-preserve_home_in_writing_optionsfile.patch
Patch3:		%{name}-struct_uae_wrong_fields_name.patch
Patch4:		%{name}-uae_reset_args.patch
Patch5:		format-security.patch
Patch6:		xvidmode.patch
URL:		http://www.amigaemulator.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UAE is mostly complete software emulation of the hardware of the
Commodore Amiga 500/1000/2000. A Commodore Amiga is a 16/32 bit
computer system based on the Motorola 680x0 CPU and a few specially
designed custom chips that provide very good graphics and sound
capabilities. UAE is written for Unixish systems; it is developed on a
Linux machine but it should compile and run on any half-recent
Unix-like operating system.

%description -l pl.UTF-8
UAE jest w większości kompletnym oprogramowaniem do emulacji Commodore
Amiga 500/1000/2000. Commodore Amiga jest 16/32 bitowym komputerem
bazującym na procesorze Motorola 680x0 i kilku specjalnie
zaprojektowanych kościach oferujących bardzo dobrą grafikę i muzykę.
UAE jest napisany dla systemów uniksowych; jest rozwijany pod Linuksem
ale powinien się kompilować na większości platformach uniksowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
sed -e 's/build68kc/build68k/' -i src/Makefile.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-dga		\
	--enable-vidmode	\
	--enable-ui		\
	--enable-threads	\
	--disable-file-sound	\
	--with-x		\
	--without-svgalib	\
	--without-sdl		\
	--without-sdl-sound	\
	--without-sdl-gfx	\
	--with-alsa		\
	--without-asciiart

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}}

install readdisk uae $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{COMPATIBILITY,CREDITS,FAQ,NEWS,README}
%attr(755,root,root) %{_bindir}/readdisk
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%changelog
* Wed Jan 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uae.git;a=log;h=master

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> d1fadf1
- fix format string errors
- fix xf86vmode extension usage (patch from OpenBSD-wip)
- rel 2

* Thu Dec 31 2009 sparky <sparky@pld-linux.org> af02844
- fixed typo in Makefile which sometimes prevented package from building with -jN

* Sun Nov 22 2009 sparky <sparky@pld-linux.org> c29dfc1
- BR: s/pkg-config/pkgconfig/

* Sat Nov 21 2009 sparky <sparky@pld-linux.org> 5c92a12
- fixed BRs

* Sun Nov 08 2009 sparky <sparky@pld-linux.org> c277584
- updated to 0.8.29

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> cf28cb6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun May 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b2414fb
- rel 2; bunch of patches from gentoo

* Sun May 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5523aab
- patches from gentoo

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 743aee9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d8519d
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7a177ea
- orphaned, outdated

* Fri Jan 13 2006 hawk <hawk@pld-linux.org> 7cc1b1e
- disabled file sound output again (or we will hear nothing but silence)

* Thu Jan 12 2006 hawk <hawk@pld-linux.org> f1c3adf
- fixed broken update to 0.8.25 (updated ac_fixes.patch)
- added patch to fix src/sd-file/sound.c compilation, reenabled sound
  output to file in configure
- added BR gnome-libs-devel (because of %{__aclocal} -I %{_aclocaldir}/gnome)

* Thu Jan 12 2006 hawk <hawk@pld-linux.org> 65b1363
- patch to fix compilation of snd-file sound module in UAE

* Thu Jan 12 2006 hawk <hawk@pld-linux.org> 393c029
- updated for 0.8.25

* Mon Sep 05 2005 sparky <sparky@pld-linux.org> 828caf6
- updated to 0.8.25
- use alsa as sound output
- added desktop file

* Mon Sep 05 2005 sparky <sparky@pld-linux.org> 8f15c93
- NEW, desktop file for uae

* Mon Sep 05 2005 sparky <sparky@pld-linux.org> a6cd47e
- NEW, from Uae.app/Uae.tiff

* Thu Feb 24 2005 darekr <darekr@pld-linux.org> 798eec6
- simplified %%install a bit, use macro

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 3a2c8d0
- spelling fixes

